
%define gtk2_version 2.4.0
%define glib2_version 2.4.0
%define nautilus_version 2.2.0
%define desktop_file_utils_version 0.9
%define gphoto_version 2.1.3
%define gconf_version 2.14

Summary: Image viewer, editor, organizer
Name: gthumb
Version: 2.10.11
Release: 8%{?dist}
URL: http://gthumb.sourceforge.net
Source0: http://download.gnome.org/sources/gthumb/2.10/%{name}-%{version}.tar.bz2
Source1: gthumb-importer
Source2: gthumb-importer.desktop
# new upstream icon
Source3: gthumb.png
License: GPLv2+
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: nautilus >= %{nautilus_version}
BuildRequires: libexif-devel
BuildRequires: libiptcdata-devel
BuildRequires: libopenraw-gnome-devel
BuildRequires: libgnomeui-devel >= 2.2.0
BuildRequires: libpng-devel
BuildRequires: gettext
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gnome-doc-utils >= 0.3.2

# Needed or features are missing
%ifnarch s390 s390x
BuildRequires: gphoto2-devel >= %{gphoto_version}
%endif

BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel

Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(pre): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

Patch0: gthumb-libdir.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=577042
Patch1: gthumb-import-dir.patch

# make docs show up in rarian/yelp
Patch2: gthumb-doc-category.patch

%description
gthumb is an application for viewing, editing, and organizing
collections of images.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .import-dir
%patch2 -p1 -b .doc-category

# force regeneration
rm data/gthumb.schemas

cp %{SOURCE3} data/

autoreconf -i -f

%build

%ifarch s390 s390x
%define gphoto_flags --disable-gphoto2
%else
%define gphoto_flags  %{nil}
%endif
%configure %{gphoto_flags}

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper
find $RPM_BUILD_ROOT -name "*.a" -exec rm {} \;
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

install -p -m 755 %SOURCE1 $RPM_BUILD_ROOT/%{_bindir}
install -p -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_datadir}/applications

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/gthumb
%{_libdir}/bonobo/servers/GNOME_GThumb.server
%{_datadir}/gthumb
%{_datadir}/applications/*
%{_mandir}/man*/*
%{_datadir}/icons/hicolor/48x48/apps/gthumb.png


%changelog

